﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Data.SqlClient;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Controls.Primitives;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Infragistics;
using Infragistics.Controls.Editors;
using Infragistics.Controls.Editors.Primitives;
using Infragistics.Windows;

namespace WpfMultiCombo
{
    /// <summary>
    /// Interaktionslogik für MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();

            this.Loaded += MainWindow_Loaded;

            // Filter condition
            this.editArticleNo.Initialized += editArticleNo_Initialized;
            //this.editArticleNo.Loaded += editArticleNo_Loaded;
        }

        

        void MainWindow_Loaded(object sender, RoutedEventArgs e)
        {
            this.Loaded -= MainWindow_Loaded;
            this.InitPlantArticles();
        }

        void InitPlantArticles()
        {
            PlantArticles pa = new PlantArticles();

            pa.Add( new PlantArticle(){ ArticleNo = 800, ArticleName = "Product item 11200", CompanyArticleOrgNo = 3240, SourceArticleNo = "51200", SourceArticleName = "Name product item 51200"});
            pa.Add( new PlantArticle(){ ArticleNo = 9800, ArticleName = "Product titel 9800", CompanyArticleOrgNo = 3240, SourceArticleNo = "4715", SourceArticleName = "Itemsource test product 43715"});
            pa.Add( new PlantArticle(){ ArticleNo = 98800, ArticleName = "Item Product 98800", CompanyArticleOrgNo = 3240, SourceArticleNo = "988", SourceArticleName = "Source product 988"});
            pa.Add( new PlantArticle(){ ArticleNo = 11200, ArticleName = "Item product 11200", CompanyArticleOrgNo = 3240, SourceArticleNo = "51200", SourceArticleName = "Source product name 51200"});
            pa.Add( new PlantArticle(){ ArticleNo = 11300, ArticleName = "Test item 11300", CompanyArticleOrgNo = 3240, SourceArticleNo = "51200", SourceArticleName = "Source test product item 51200"});
            pa.Add( new PlantArticle(){ ArticleNo = 11430, ArticleName = "Titem item 11430", CompanyArticleOrgNo = 3240, SourceArticleNo = "511430", SourceArticleName = "Source Titem item 511430"});
            pa.Add( new PlantArticle(){ ArticleNo = 11440, ArticleName = "Titem item 11440", CompanyArticleOrgNo = 3240, SourceArticleNo = "51200", SourceArticleName = "Source Titem item 11440"});

            CollectionViewSource dataSource = (CollectionViewSource)this.FindResource("PlantArticles");
            dataSource.Source = pa;
        }

        private PlantArticle m_SelectedPlantArticle;

        public PlantArticle SelectedPlantArticle
        {
            get { return m_SelectedPlantArticle; }
            set { m_SelectedPlantArticle = value; }
        }

        void editArticleNo_Loaded(object sender, RoutedEventArgs e)
        {
            this.editArticleNo.Loaded -= editArticleNo_Loaded;

            ItemsFilter filter = new ItemsFilter();

            filter.ObjectTypedInfo = new CachedTypedInfo()
            {
                CachedType = typeof(PlantArticle)
            };

            filter.Conditions.LogicalOperator = LogicalOperator.Or;

            filter.Conditions.Add(new ComparisonCondition()
            {
                Operator = ComparisonOperator.Contains,
                CaseSensitive = false,
                FilterValue = ""
            });

            this.editArticleNo.CustomItemsFilter = filter;
        }

        void editArticleNo_Initialized(object sender, EventArgs e)
        {
            this.editArticleNo.Initialized -= editArticleNo_Initialized;

            ItemsFilter filter = new ItemsFilter();

            filter.ObjectTypedInfo = new CachedTypedInfo()
            {
                CachedType = typeof(PlantArticle)
            };

            filter.Conditions.LogicalOperator = LogicalOperator.Or;

            filter.Conditions.Add(new ComparisonCondition()
            {
                Operator = ComparisonOperator.Contains,
                CaseSensitive = false,
                FilterValue = ""
            });

            this.editArticleNo.CustomItemsFilter = filter;
        }
    }
}
